New Server Build

I decided to hardware update and software upgrade my mail / web / firewall server over the last week or two.

I use the https://workaround.org ISPmail tutorials as a starting point for my builds.

I also add a few tweaks of my own including fail2ban firewall scripts (to deal with script kiddies, hack attempts from China mainly and persistent pests), Webmin to remotely manage most aspects of the server.

One of the most persistent problem I come across is the ClamAV plugin for Webmin does not have all the Perl modules that need to be installed for this to work. While most of the Perl modules install when one follows the instructions provided, GD and GD::Graph::lines do not. The instructions shown on the CalmAV plugin page misses the most important step.

So to get the ClamAV plugin for Webadmin working you will need to run the following package install command to install the following package;

(sudo) apt-get install libgd-graph-perl

Thats it! Why this cannot be included as part of the prerequisites for install Webmin is beyond me.